export interface Spell {
  name: string;
  level: number;
  cost: string;
  canRitual: boolean;
  needsConcentration: boolean;
  needsVerbal: boolean;
  needsSomatic: boolean;
  needsMaterial: boolean;
  school?: string;
  description?: string;
  needsSavingThrow: boolean;
  savingThrowAttribute?: string;
  attackBonus?: string;
  damage: Damage[];
  isRanged: boolean;
  range?: string;
  hasAreaOfEffect: boolean;
  radius?: string;
  areaOfEffectType?: string;
}

interface Damage {
  diceNumber: string;
  diceType: string;
  damageType: string;
  additionalDamage?: string;
}
